DATE    = $(shell date +%Y%m%d%H%M)
VERSION = v$(DATE)
GOOS    ?= $(shell go env | grep GOOS | cut -d'"' -f2)
BINARY  := grafzahl
GO ?= go

LDFLAGS := -X github.com/oz123/grafzahl/internal.Version=$(VERSION)
GOFLAGS := -ldflags "$(LDFLAGS)"
go_packages = $(GO) list ./... | grep -v /test | xargs

.PHONY: build
build:
	$(GO) build $(GOFLAGS) -o bin/${BINARY}-${GOOS} cmd/main.go

.PHONY: test
test:
	$(GO) test -v -race -short $(shell $(call go_packages))